Bug 1293625 - synergys (synergy server) pixmap error under newest CentOS (7.2)
Summary: synergys (synergy server) pixmap error under newest CentOS (7.2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: synergy
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-22 13:11 UTC by Eric P
Modified: 2020-01-30 23:43 UTC (History)
0 users

Fixed In Version: synergy-1.10.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 23:43:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric P 2015-12-22 13:11:38 UTC
Description of problem:

I recently updated my system to CentOS 7.2 (from 7.1).  It has a motherboard model Intel X7SPA-HF with Matrox video.  I was using synergy from EPEL (synergy-1.6.2-3.el7.x86_64).  This worked fine under Cent 7.1.  After the update to 7.2, however, synergys will not run.  Running it with "synergys -f" in the foreground says:

2015-12-19T21:14:41 DEBUG: opening configuration "/home/user/.synergy.conf"
/builddir/build/BUILD/synergy-1.6.2/src/lib/synergy/ServerApp.cpp,229
2015-12-19T21:14:41 DEBUG: configuration read successfully
/builddir/build/BUILD/synergy-1.6.2/src/lib/synergy/ServerApp.cpp,240
2015-12-19T21:14:41 DEBUG: XOpenDisplay(":0.0")
/builddir/build/BUILD/synergy-1.6.2/src/lib/platform/XWindowsScreen.cpp,920
X Error of failed request: BadValue (integer parameter out of range for operation)
Major opcode of failed request: 53 (X_CreatePixmap)
Value in failed request: 0x0
Serial number of failed request: 15
Current serial number in output stream: 16

I was able to downgrade my xorg-x11-drv-* and this allowed it to work again.


Version-Release number of selected component (if applicable):
CentOS 7.2
synergy-1.6.2-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. run CentOS 7.2 with matrox video (driver is mgag200)
2. invoke synergys (server)
3.

Actual results:
server won't run

Expected results:
server would run

Additional info:

Comment 1 Ding-Yi Chen 2018-02-08 01:43:09 UTC
Is the new synergy version, 2.0.0, works for you?

Comment 2 Fedora Update System 2018-08-02 08:23:26 UTC
synergy-1.10.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0dceccb6ef

Comment 3 Fedora Update System 2018-08-02 15:49:43 UTC
synergy-1.10.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0dceccb6ef

Comment 6 Fedora Update System 2020-01-30 23:43:09 UTC
synergy-1.10.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.